Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents
Class Resources

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.contents.Resources

All Implemented Interfaces:
  Cloneable, ICompositeMap<PdfName>, IPdfObjectWrapper

    @PDF(value=PDF10)
    public final class Resources

extends PdfObjectWrapper<PdfDictionary>
implements ICompositeMap<PdfName>

Resources collection [PDF:1.6:3.7.2].

Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`Resources(Document context)`

Method Summary
`Resources` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`
`<T extends PdfObjectWrapper<? extends PdfDataObject>> ResourceItems<T>`
` | `get(Class<T> type)` Gets the value map associated to the specified type.
`
`<T extends PdfObjectWrapper<? extends PdfDataObject>> T`
` | `get(Class<T> type, PdfName key)` Gets the value associated to the specified key for the specified type.
`ColorSpaceResources` | `getColorSpaces()`
`ExtGStateResources` | `getExtGStates()`
`FontResources` | `getFonts()`
`PatternResources` | `getPatterns()`
`PropertyListResources` | `getPropertyLists()`
`ShadingResources` | `getShadings()`
`XObjectResources` | `getXObjects()`
`void` | `setColorSpaces(ColorSpaceResources value)`
`void` | `setExtGStates(ExtGStateResources value)`
`void` | `setFonts(FontResources value)`
`void` | `setPatterns(PatternResources value)`
`void` | `setPropertyLists(PropertyListResources value)`
`void` | `setShadings(ShadingResources value)`
`void` | `setXObjects(XObjectResources value)`
`static Resources` | `wrap(PdfDirectObject baseObject)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Resources

    public Resources(Document context)

Method Detail

### wrap

    public static Resources wrap(PdfDirectObject baseObject)

### clone

    public Resources clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getColorSpaces

    public ColorSpaceResources getColorSpaces()

### getExtGStates

    public ExtGStateResources getExtGStates()

### getFonts

    public FontResources getFonts()

### getPatterns

    public PatternResources getPatterns()

### getPropertyLists

    @PDF(value=PDF12)
    public PropertyListResources getPropertyLists()

### getShadings

    @PDF(value=PDF13)
    public ShadingResources getShadings()

### getXObjects

    public XObjectResources getXObjects()

### setColorSpaces

    public void setColorSpaces(ColorSpaceResources value)

### setExtGStates

    public void setExtGStates(ExtGStateResources value)

### setFonts

    public void setFonts(FontResources value)

### setPatterns

    public void setPatterns(PatternResources value)

### setPropertyLists

    public void setPropertyLists(PropertyListResources value)

### setShadings

    public void setShadings(ShadingResources value)

### setXObjects

    public void setXObjects(XObjectResources value)

### get

    public <T extends PdfObjectWrapper<? extends PdfDataObject>> ResourceItems<T> get(Class<T> type)

  Description copied from interface: `ICompositeMap`
  Gets the value map associated to the specified type.

  Specified by:
    `get` in interface `ICompositeMap<PdfName>`

### get

    public <T extends PdfObjectWrapper<? extends PdfDataObject>> T get(Class<T> type,
                                                                       PdfName key)

  Description copied from interface: `ICompositeMap`
  Gets the value associated to the specified key for the specified type.

  Specified by:
    `get` in interface `ICompositeMap<PdfName>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.